// Wild Magic Source Code
// David Eberly
// http://www.geometrictools.com
// Copyright (c) 1998-2007
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.  The license is available for reading at
// either of the locations:
//     http://www.gnu.org/copyleft/lgpl.html
//     http://www.geometrictools.com/License/WildMagicLicense.pdf
//
// Version: 4.0.0 (2006/06/28)

#include "SphereMapEffect.h"
using namespace Wm4;

WM4_IMPLEMENT_RTTI(Wm4,SphereMapEffect,ShaderEffect);
WM4_IMPLEMENT_STREAM(SphereMapEffect);
WM4_IMPLEMENT_DEFAULT_STREAM(SphereMapEffect,ShaderEffect);
WM4_IMPLEMENT_DEFAULT_NAME_ID(SphereMapEffect,ShaderEffect);

//----------------------------------------------------------------------------
SphereMapEffect::SphereMapEffect (const std::string& rkEnvName)
    :
    ShaderEffect(1)
{
    m_kVShader[0] = WM4_NEW VertexShader("SphereMap");
    m_kPShader[0] = WM4_NEW PixelShader("SphereMap");

    m_kPShader[0]->SetTextureQuantity(1);
    m_kPShader[0]->SetImageName(0,rkEnvName);
    Texture* pkEnv = m_kPShader[0]->GetTexture(0);
    pkEnv->SetFilterType(Texture::LINEAR);
}
//----------------------------------------------------------------------------
SphereMapEffect::SphereMapEffect ()
{
}
//----------------------------------------------------------------------------
SphereMapEffect::~SphereMapEffect ()
{
}
//----------------------------------------------------------------------------
